NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.EdgeSymmetryBuilder Class Reference

Represents a NXOpen.Features.EdgeSymmetry builder More...

Inheritance diagram for NXOpen.Features.EdgeSymmetryBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MovementDirections { X, Y, Z }
 Movement directions More...
 
enum  MovementMethods { Normal, Project, WCS }
 Matching method options More...
 
enum  SymmetryPlaneOptions { YZ, XZ, XY, Arbitrary }
 Symmetry plane options More...
 

Public Member Functions

unsafe void ResetPoleEditing ()
 Resets the pole editing to initial matched state More...
 
unsafe void UpdateSurfacePostPoleEditing ()
 Updates surface using NXOpen.GeometricUtilities.ControlPoleManagerData . More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Blend [get]
 Returns the value indicating constraint on the surface poles in the depth direction More...
 
unsafe bool CanBlend [get, set]
 Returns or sets the value indicating if matching to be performed with the blend value More...
 
unsafe bool CanCreateNewBody [get, set]
 Returns or sets whether the operation is applied to a copy of the face there by creating new body More...
 
unsafe
NXOpen.GeometricUtilities.DepthSkewBuilder 
DepthSkew [get]
 Returns the depth and skew value More...
 
unsafe bool IsEditPolesEnabled [get, set]
 Returns or sets the value indicating if poles are to edited manually More...
 
unsafe bool IsEndLocked [get, set]
 Returns or sets the value indicating if end edge in edge direction is locked More...
 
unsafe bool IsG0 [get, set]
 Returns or sets the value indicating if G0 continuity is enforced More...
 
unsafe bool IsG1 [get, set]
 Returns or sets the value indicating if G1 continuity is enforced More...
 
unsafe bool IsG2 [get, set]
 Returns or sets the value indicating if G2 continuity is enforced More...
 
unsafe bool IsG3 [get, set]
 Returns or sets the value indicating if G3 continuity is enforced More...
 
unsafe bool IsStartLocked [get, set]
 Returns or sets the value indicating if start edge in edge direction is locked More...
 
unsafe
NXOpen.Features.EdgeSymmetryBuilder.MovementDirections 
MovementDirection [get, set]
 Returns or sets the value indicating the direction of pole movement during match More...
 
unsafe
NXOpen.Features.EdgeSymmetryBuilder.MovementMethods 
MovementMethod [get, set]
 Returns or sets the pole movement method to be used in matching process More...
 
unsafe NXOpen.SelectNXObject ObjectToEdit [get]
 Returns the object to edit More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the value indicating offset distance to be used with absolute principal symmetry plane More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
OppositeEdgeContinuity [get]
 Returns the opposite edge continuity More...
 
unsafe
NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder 
Parameterization [get]
 Returns the surface parameterization More...
 
unsafe
NXOpen.GeometricUtilities.ControlPoleManagerData 
PoleManager [get]
 Returns the pole manager. More...
 
unsafe NXOpen.Plane SymmetryPlane [get, set]
 Returns or sets the symmetry plane More...
 
unsafe
NXOpen.Features.EdgeSymmetryBuilder.SymmetryPlaneOptions 
SymmetryPlaneOption [get, set]
 Returns or sets the symmetry plane option More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.EdgeSymmetry builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateEdgeSymmetryBuilder

Default values.

Property Value

IsG0

1

IsG1

1

MovementDirection

X

MovementMethod

Project

Parameterization.Degree

3

Parameterization.SegmentsOrPatches

1

Parameterization.UDegree

5

Parameterization.UPatches

1

Parameterization.VDegree

5

Parameterization.VPatches

1

SymmetryPlaneOption

XZ

Created in NX7.0.0

Member Enumeration Documentation

Movement directions

Enumerator
X 

Along XC direction

Y 

Along YC direction

Z 

Along ZC direction

Matching method options

Enumerator
Normal 

Does a normal match

Project 

Does a match by projecting poles corresponding to target edge of the surface

WCS 

Does a match by moving poles along a WCS principal axis direction

Symmetry plane options

Enumerator
YZ 

Uses YC-ZC plane as plane of symmetry

XZ 

Uses XC-ZC plane as plane of symmetry

XY 

Uses XC-YC plane as plane of symmetry

Arbitrary 

Uses an arbitrary plane as plane of symmetry

Member Function Documentation

unsafe void NXOpen.Features.EdgeSymmetryBuilder.ResetPoleEditing ( )
inline

Resets the pole editing to initial matched state

Created in NX7.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Features.EdgeSymmetryBuilder.UpdateSurfacePostPoleEditing ( )
inline

Updates surface using NXOpen.GeometricUtilities.ControlPoleManagerData .

Use this method to update the surface when poles are edited using pole manager.

Created in NX7.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.EdgeSymmetryBuilder.Blend
get

Returns the value indicating constraint on the surface poles in the depth direction

Created in NX7.0.0

License requirements: None.

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.CanBlend
getset

Returns or sets the value indicating if matching to be performed with the blend value

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.CanCreateNewBody
getset

Returns or sets whether the operation is applied to a copy of the face there by creating new body

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.GeometricUtilities.DepthSkewBuilder NXOpen.Features.EdgeSymmetryBuilder.DepthSkew
get

Returns the depth and skew value

Created in NX7.0.0

License requirements: None.

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.IsEditPolesEnabled
getset

Returns or sets the value indicating if poles are to edited manually

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.IsEndLocked
getset

Returns or sets the value indicating if end edge in edge direction is locked

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.IsG0
getset

Returns or sets the value indicating if G0 continuity is enforced

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.IsG1
getset

Returns or sets the value indicating if G1 continuity is enforced

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.IsG2
getset

Returns or sets the value indicating if G2 continuity is enforced

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.IsG3
getset

Returns or sets the value indicating if G3 continuity is enforced

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Features.EdgeSymmetryBuilder.IsStartLocked
getset

Returns or sets the value indicating if start edge in edge direction is locked

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.EdgeSymmetryBuilder.MovementDirections NXOpen.Features.EdgeSymmetryBuilder.MovementDirection
getset

Returns or sets the value indicating the direction of pole movement during match

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.EdgeSymmetryBuilder.MovementMethods NXOpen.Features.EdgeSymmetryBuilder.MovementMethod
getset

Returns or sets the pole movement method to be used in matching process

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectNXObject NXOpen.Features.EdgeSymmetryBuilder.ObjectToEdit
get

Returns the object to edit

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.EdgeSymmetryBuilder.Offset
get

Returns the value indicating offset distance to be used with absolute principal symmetry plane

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.EdgeSymmetryBuilder.OppositeEdgeContinuity
get

Returns the opposite edge continuity

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.DegreesAndSegmentsOrPatchesBuilder NXOpen.Features.EdgeSymmetryBuilder.Parameterization
get

Returns the surface parameterization

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.ControlPoleManagerData NXOpen.Features.EdgeSymmetryBuilder.PoleManager
get

Returns the pole manager.

The pole manager is used to edit the pole manually.

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.EdgeSymmetryBuilder.SymmetryPlane
getset

Returns or sets the symmetry plane

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Features.EdgeSymmetryBuilder.SymmetryPlaneOptions NXOpen.Features.EdgeSymmetryBuilder.SymmetryPlaneOption
getset

Returns or sets the symmetry plane option

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.